Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Class StatementBoundaryBase

    java.lang.Object
      com.hp.hpl.jena.rdf.model.StatementBoundaryBase

All Implemented Interfaces:
  StatementBoundary

    public abstract class StatementBoundaryBase

extends java.lang.Object
implements StatementBoundary

StatementBoundaryBase - a base class for StatementBoundarys, with built-in converstion to triples and a continueWith as well as a stopAt.

Author:
  kers

Constructor Summary
`StatementBoundaryBase()`

Method Summary
`TripleBoundary` | `asTripleBoundary(Model m)` Expresses this StatementBoundary as a TripleBoundary.
`boolean` | `continueWith(Statement s)` Method to over-ride to define what continues the boundary search; default definition is !
`static TripleBoundary` | `convert(Model s, StatementBoundary b)` Answer a TripleBoundary that is implemented in terms of a StatementBoundary.
`boolean` | `stopAt(Statement s)` Method to over-ride to define what stops the boundary search; default definition is !

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatementBoundaryBase

    public StatementBoundaryBase()

Method Detail

### stopAt

    public boolean stopAt(Statement s)

  Method to over-ride to define what stops the boundary search; default definition is !continueWith(s). exactly one of these two methods must be defined.

  Specified by:
    `stopAt` in interface `StatementBoundary`

### continueWith

    public boolean continueWith(Statement s)

  Method to over-ride to define what continues the boundary search; default definition is !stopAt(s). exactly one of these two methods must be defined.

### asTripleBoundary

    public final TripleBoundary asTripleBoundary(Model m)

  Expresses this StatementBoundary as a TripleBoundary.

  Specified by:
    `asTripleBoundary` in interface `StatementBoundary`

### convert

    public static TripleBoundary convert(Model s,
                                         StatementBoundary b)

  Answer a TripleBoundary that is implemented in terms of a StatementBoundary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP